Get commune by ID
Retrieve detailed information about a specific commune
Authorization
ApiKeyAuth Your API key from https://developer.cambodiapostalcode.com. The TosKey gateway validates it and forwards a short-lived origin JWT; the origin never sees the key.
In: header
Path Parameters
Unique identifier of the commune
1 <= lengthQuery Parameters
Language for the response (en or km)
"en"Value in
- "en"
- "km"
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/communes/635eae65-a991-6d67-a5c4-cf1829454018?lang=en"{ "statusCode": 200, "data": { "id": "635eae65-a991-6d67-a5c4-cf1829454018", "name": "Sangkat Tonle Basak", "type": "sangkat", "postal_code_prefix": "120101", "postal_code_range": "12010101-12010116", "district_id": "ec93b3cc-fe27-48e9-28b7-0d00dc3251d0", "district_name": "Khan Chamkar Mon", "province_id": "d7d40ac2-e96f-5977-aa27-a0c99bff6710", "province_name": "Phnom Penh Capital", "total_villages": 16 }, "metadata": { "correlationId": "01a0642a-d55f-70f8-b40f-2ce1c5c12035" }}